Subject: [bug#76246] [PATCH v5 6/6] gnu: g-golf: Redefine as a non-deprecated alias.

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 23 Feb 2025 11:47:12 +0900

Hi Tobias, Florian,

Tobias Geerinckx-Rice <[email-masked]> writes:

> Hi Florian,
>
> Thanks.  If we do decide to do this (I don't think it's a good idea;
> just keep ‘guile-g-golf’), then add a comment like
>
> ;; Use ‘guile-g-golf’ above in package inputs and other code.  This alias exists as a compromise,
> ;; see <https://lists.gnu.org/archive/html/guix-devel/2025-02/msg00296.html>.

My 2 cents: prefixing a package with '$lang-' is a (somewhat loose, or
at least sparsely documented *guideline*).  I think given David is very
sensitive about having their package exposed as 'g-golf' on the command
line of Guix, it is not a big harm to do what is proposed by Florian
above (and I second adding the comment you suggested).  We'd loose more
to not have 'g-golf' packaged anymore in Guix, which is the only library
to do GTK with Guile, IIRC.

Guix itself might use it at some point, for a GUI updater say that could
make keeping Guix up-to-date easier on desktop systems.

-- 
Thanks,
Maxim